# Uses of Enum Class
org.bukkit.event.entity.EntityExhaustionEvent.ExhaustionReason

Packages that use EntityExhaustionEvent.ExhaustionReason
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of EntityExhaustionEvent.ExhaustionReason in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return EntityExhaustionEvent.ExhaustionReason
Modifier and Type
Method
Description
`@NotNull EntityExhaustionEvent.ExhaustionReason`
EntityExhaustionEvent.`getExhaustionReason()`
Gets the `EntityExhaustionEvent.ExhaustionReason` for this event
`static EntityExhaustionEvent.ExhaustionReason`
EntityExhaustionEvent.ExhaustionReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityExhaustionEvent.ExhaustionReason[]`
EntityExhaustionEvent.ExhaustionReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.entity with parameters of type EntityExhaustionEvent.ExhaustionReason
Modifier
Constructor
Description
``
`EntityExhaustionEvent(@NotNull HumanEntity who, @NotNull EntityExhaustionEvent.ExhaustionReason exhaustionReason, float exhaustion)`